OpenVDB: LeafNodeOriginOp< PointArray, PointIndexType > Struct Template Reference

OpenVDB 5.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
LeafNodeOriginOp< PointArray, PointIndexType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | IndexArray = boost::scoped_array< PointIndexType >
using | CoordArray = boost::scoped_array< Coord >

## Public Member Functions
| LeafNodeOriginOp (CoordArray &coordinates, const IndexArray &indices, const IndexArray &pages, const PointArray &points, const math::Transform &m, int log2dim, bool cellCenteredTransform)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
Coord *const | mCoordinates
PointIndexType const *const | mIndices
PointIndexType const *const | mPages
PointArray const *const | mPoints
math::Transform const | mXForm
int const | mLog2Dim
bool const | mCellCenteredTransform

## Member Typedef Documentation

## ◆ CoordArray

using CoordArray = boost::scoped_array<Coord>

## ◆ IndexArray

using IndexArray = boost::scoped_array<PointIndexType>

## Constructor & Destructor Documentation

## ◆ LeafNodeOriginOp()

LeafNodeOriginOp | ( | CoordArray & | coordinates,
|  | const IndexArray & | indices,
|  | const IndexArray & | pages,
|  | const PointArray & | points,
|  | const math::Transform & | m,
|  | int | log2dim,
|  | bool | cellCenteredTransform
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mCellCenteredTransform

bool const mCellCenteredTransform

## ◆ mCoordinates

Coord* const mCoordinates

## ◆ mIndices

PointIndexType const* const mIndices

## ◆ mLog2Dim

int const mLog2Dim

## ◆ mPages

PointIndexType const* const mPages

## ◆ mPoints

PointArray const* const mPoints

## ◆ mXForm

math::Transform const mXForm

The documentation for this struct was generated from the following file:

- PointPartitioner.h